var setting = {
    data: {
        simpleData: {
            enable: true,
            idKey: "id",
            pIdKey: "pid",
            rootPId: -1
        },
        key: {
            url:"nourl"
        }
    }
};
var ztree;

var vm = new Vue({
    el:'#rrapp',
    data:{
        showList: true,
        title: null,
        rdSite:{
            parentName:null,
            pid:0,
            sort:0
        }
    },
    methods: {
        getRdSite: function(){
            //加载栏目树
            $.get(baseURL + "sys/rdsite/select", function(r){
                ztree = $.fn.zTree.init($("#siteTree"), setting, r.rdSiteList);
                var node = ztree.getNodeByParam("id", vm.rdSite.pid);
                ztree.selectNode(node);

                vm.rdSite.parentName = node.name;
            })
        },
        add: function(){
            vm.showList = false;
            vm.title = "新增";
            vm.rdSite = {parentName:null,pid:0,sort:0};
            vm.getRdSite();
        },
        update: function () {
            var id = getRdSiteId();
            if(id == null){
                return ;
            }

            $.get(baseURL + "sys/rdsite/info/"+id, function(r){
                vm.showList = false;
                vm.title = "修改";
                vm.rdSite = r.rdSite;

                vm.getRdSite();
            });
        },
        del: function () {
            var id = getRdSiteId();
            if(id == null){
                return ;
            }

            confirm('确定要删除选中的记录？', function(){
                $.ajax({
                    type: "POST",
                    url: baseURL + "sys/rdsite/delete",
                    data: "id=" + id,
                    success: function(r){
                        if(r.code === 0){
                            alert('操作成功', function(){
                                vm.reload();
                            });
                        }else{
                            alert(r.msg);
                        }
                    }
                });
            });
        },
        saveOrUpdate: function (event) {
            var url = vm.rdSite.id == null ? "sys/rdsite/save" : "sys/rdsite/update";
            $.ajax({
                type: "POST",
                url: baseURL + url,
                contentType: "application/json",
                data: JSON.stringify(vm.rdSite),
                success: function(r){
                    if(r.code === 0){
                        alert('操作成功', function(){
                            vm.reload();
                        });
                    }else{
                        alert(r.msg);
                    }
                }
            });
        },
        siteTree: function(){
            layer.open({
                type: 1,
                offset: '50px',
                skin: 'layui-layer-molv',
                title: "选择栏目",
                area: ['300px', '450px'],
                shade: 0,
                shadeClose: false,
                content: jQuery("#siteLayer"),
                btn: ['确定', '取消'],
                btn1: function (index) {
                    var node = ztree.getSelectedNodes();
                    //选择上级栏目
                    vm.rdSite.pid = node[0].id;
                    vm.rdSite.parentName = node[0].name;

                    layer.close(index);
                }
            });
        },
        reload: function () {
            vm.showList = true;
            Site.table.refresh();
        }
    }
});

var Site = {
    id: "siteTable",
    table: null,
    layerIndex: -1
};

/**
 * 初始化表格的列
 */
Site.initColumn = function () {
    var columns = [
        {field: 'selectItem', radio: true},
        {title: '栏目ID', field: 'id', visible: false, align: 'center', valign: 'middle', width: '80px'},
        {title: '栏目名称', field: 'name', align: 'center', valign: 'middle', sortable: true, width: '180px'},
        {title: '上级栏目', field: 'parentName', align: 'center', valign: 'middle', sortable: true, width: '100px'},
        {title: '排序号', field: 'sort', align: 'center', valign: 'middle', sortable: true, width: '100px'}]
    return columns;
};


function getRdSiteId () {
    var selected = $('#siteTable').bootstrapTreeTable('getSelections');
    if (selected.length == 0) {
        alert("请选择一条记录");
        return null;
    } else {
        return selected[0].id;
    }
}


$(function () {
    $.get(baseURL + "sys/rdsite/info", function(r){
        var colunms = Site.initColumn();
        var table = new TreeTable(Site.id, baseURL + "sys/rdsite/list", colunms);
        table.setRootCodeValue(r.id);
        table.setExpandColumn(2);
        table.setIdField("id");
        table.setCodeField("id");
        table.setParentCodeField("pid");
        table.setExpandAll(false);
        table.init();
        Site.table = table;
    });
});

// $(function () {
//     $("#jqGrid").jqGrid({
//         url: baseURL + 'sys/rdsite/list',
//         datatype: "json",
//         colModel: [
// 			{ label: 'id', name: 'id', index: 'id', width: 50, key: true },
// 			{ label: '名称', name: 'name', index: 'name', width: 80 },
// 			{ label: '标识', name: 'nid', index: 'nid', width: 80,hidden:true},
// 			{ label: '等级', name: 'level', index: 'level', width: 80,hidden:true },
// 			{ label: '父ID', name: 'pid', index: 'pid', width: 80,hidden:true },
// 			{ label: '叶子，0：否（有子节点），1：是（没有子节点）', name: 'leaf', index: 'leaf', width: 80,hidden:true },
// 			{ label: '状态，0：隐藏，1：显示', name: 'status', index: 'status', width: 80,hidden:true },
// 			{ label: '类型，1：单页，2：列表，3：站内链接，4：站外链接', name: 'type', index: 'type', width: 80,hidden:true },
// 			{ label: '跳转链接', name: 'url', index: 'url', width: 80,hidden:true },
// 			{ label: '排序', name: 'sort', index: 'sort', width: 80,hidden:true },
// 			{ label: '描述', name: 'description', index: 'description', width: 80,hidden:true  },
// 			{ label: '添加时间', name: 'addTime', index: 'add_time', width: 80 },
// 			{ label: '添加IP', name: 'addIp', index: 'add_ip', width: 80 ,hidden:true},
// 			{ label: '显示个数', name: 'size', index: 'size', width: 80 ,hidden:true},
// 			{ label: '创建人', name: 'creator', index: 'creator', width: 80 },
// 			{ label: '更新时间', name: 'updateTime', index: 'update_time', width: 80 },
// 			{ label: '更新人', name: 'editor', index: 'editor', width: 80 }
//         ],
// 		viewrecords: true,
//         height: 385,
//         rowNum: 10,
// 		rowList : [10,30,50],
//         rownumbers: true,
//         rownumWidth: 25,
//         autowidth:true,
//         multiselect: true,
//         pager: "#jqGridPager",
//         jsonReader : {
//             root: "page.list",
//             page: "page.currPage",
//             total: "page.totalPage",
//             records: "page.totalCount"
//         },
//         prmNames : {
//             page:"page",
//             rows:"limit",
//             order: "order"
//         },
//         gridComplete:function(){
//         	//隐藏grid底部滚动条
//         	$("#jqGrid").closest(".ui-jqgrid-bdiv").css({ "overflow-x" : "hidden" });
//         }
//     });
// });
//
// var vm = new Vue({
// 	el:'#rrapp',
// 	data:{
// 		showList: true,
// 		title: null,
// 		rdSite: {}
// 	},
// 	methods: {
// 		query: function () {
// 			vm.reload();
// 		},
// 		add: function(){
// 			vm.showList = false;
// 			vm.title = "新增";
// 			vm.rdSite = {};
// 		},
// 		update: function (event) {
// 			var id = getSelectedRow();
// 			if(id == null){
// 				return ;
// 			}
// 			vm.showList = false;
//             vm.title = "修改";
//
//             vm.getInfo(id)
// 		},
// 		saveOrUpdate: function (event) {
// 		    $('#btnSaveOrUpdate').button('loading').delay(1000).queue(function() {
//                 var url = vm.rdSite.id == null ? "sys/rdsite/save" : "sys/rdsite/update";
//                 $.ajax({
//                     type: "POST",
//                     url: baseURL + url,
//                     contentType: "application/json",
//                     data: JSON.stringify(vm.rdSite),
//                     success: function(r){
//                         if(r.code === 0){
//                              layer.msg("操作成功", {icon: 1});
//                              vm.reload();
//                              $('#btnSaveOrUpdate').button('reset');
//                              $('#btnSaveOrUpdate').dequeue();
//                         }else{
//                             layer.alert(r.msg);
//                             $('#btnSaveOrUpdate').button('reset');
//                             $('#btnSaveOrUpdate').dequeue();
//                         }
//                     }
//                 });
// 			});
// 		},
// 		del: function (event) {
// 			var ids = getSelectedRows();
// 			if(ids == null){
// 				return ;
// 			}
// 			var lock = false;
//             layer.confirm('确定要删除选中的记录？', {
//                 btn: ['确定','取消'] //按钮
//             }, function(){
//                if(!lock) {
//                     lock = true;
// 		            $.ajax({
//                         type: "POST",
//                         url: baseURL + "sys/rdsite/delete",
//                         contentType: "application/json",
//                         data: JSON.stringify(ids),
//                         success: function(r){
//                             if(r.code == 0){
//                                 layer.msg("操作成功", {icon: 1});
//                                 $("#jqGrid").trigger("reloadGrid");
//                             }else{
//                                 layer.alert(r.msg);
//                             }
//                         }
// 				    });
// 			    }
//              }, function(){
//              });
// 		},
// 		getInfo: function(id){
// 			$.get(baseURL + "sys/rdsite/info/"+id, function(r){
//                 vm.rdSite = r.rdSite;
//             });
// 		},
// 		reload: function (event) {
// 			vm.showList = true;
// 			var page = $("#jqGrid").jqGrid('getGridParam','page');
// 			$("#jqGrid").jqGrid('setGridParam',{
//                 page:page
//             }).trigger("reloadGrid");
// 		}
// 	}
// });